Package protocolP2P

## Class LoadRequest

- java.lang.Object
- - protocolP2P.Payload
  - - protocolP2P.LoadRequest

-     public class LoadRequest
      extends Payload

  Representation of payload for load request.
  Version:
    1.0
  Author:
    Louis Royer, Flavien Haas, JS Auge

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoadRequest​(java.lang.String filename)` | Constructor (typically used by the server) with a filename parameter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFilename()` | filename getter.

    - ### Methods inherited from class protocolP2P.Payload

      `getRequestResponseCode`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadRequest

          public LoadRequest​(java.lang.String filename)
                      throws InternalError

      Constructor (typically used by the server) with a filename parameter.
      Parameters:
        `filename` - name of the file to download. Must not be empty.
      Throws:
        `InternalError`

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

      filename getter.
      Returns:
        filename